2009-02-19 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* OleDbFactory.cs: New file.

2008-04-21  Gert Driesen  <drieseng@users.sourceforge.net>

	* OleDbDataAdapter.cs: Changed argument names to match MS. Removed
	extra explicit interface implementation.
	* OleDbParameter.cs: Changed argument names to match MS.
	* OleDbTransaction.cs: Do not include IDbConnection.Connection and
	IDisposable.Dispose for 2.0 profile.
	* OleDbParameterCollection.cs: Changed argument names to match MS.
	Do not include explicit interface implementations on 2.0 profile.
	* OleDbConnection.cs: Changed argument names to match MS. Code
	formatting.

2008-03-03  Ankit Jain  <jankit@novell.com>

	* OleDbMetaDataCollectionNames.cs: New.

2007-10-21  Gert Driesen  <drieseng@users.sourceforge.net>

	* OleDbCommand.cs: Use ExceptionHelper.CheckEnumValue for enum checks.

2007-10-20  Gert Driesen  <drieseng@users.sourceforge.net>

	* OleDbDataAdapter.cs: In default ctor, set SelectCommand to null.
	Only initialize SelectCommand in ctors. Use direct assignment in
	IDbDataAdapter implementation.
	* OleDbCommand.cs: Added constant for default CommandTimeout, instead
	of using a magic number. Avoid unnecessary initialization. Fixed
	default value for DesignTimeVisible. Return zero-length string if
	CommandText is null. Added implementation for UpdatedRowSource.
	* OleDbConnection.cs: Moved initialization of gda to Open ().
	Avoid unnecessary initialization. Return zero-length string if
	ConnectionString is null. If getters to Database, DataSource and
	Provider return zero-length string if the connection is closed.
	In ServerVersion, BeginTransaction and GetSchema, throw an
	InvalidOperationException if connection is closed.

2007-10-19  Gert Driesen  <drieseng@users.sourceforge.net>

	* OleDbTransaction.cs: Clear connection in Commit and Rollback. In
	IsolationLevel and Begin overloads, throw IOE if transaction is no
	longer open.

2007-10-19  Gert Driesen  <drieseng@users.sourceforge.net>

	* OleDbTransaction.cs: Keep track of whether transaction is open and
	whether it's disposed. In Commit an Rollback, throw an IOE if the
	transaction is no longer open. In Dispose (bool), perform a rollback
	if the transaction is still open.

2007-10-19  Nagappan <anagappan@novell.com> 

	* OleDbCommandBuilder.cs: Implemented ApplyParameterInfo, Dispose,
	  GetParameterName, GetParameterPlaceholder, RefreshSchema methods.

2007-10-19  Nagappan <anagappan@novell.com> 

	* OleDbCommand.cs: Implemented Clone, Dispose methods.
	  Implemented CreateDbParameter, DbConnection, DbParameterCollection,
	  DbTransaction, ExecuteDbDataReader properties.

	* OleDbParameterCollection.cs: Fixed 1.0 API compatibility.

2007-09-27  Nagappan A <anagappan@novell.com> 

	* OleDbDataReader.cs: Removed bogus MonoTODO.

2007-09-26  Nagappan A <anagappan@novell.com> 

	* OleDbTransaction.cs: Removed bogus TODO.
	  Modified Finalize method to exist only in 1.0 profile.

2007-09-25  Nagappan A  <anagappan@novell.com>

	* OleDbConnection.cs: 2.0 attribute changes.

	* OleDbException.cs: 2.0 attribute changes.

	* OleDbDataReader.cs: 2.0 attribute changes.

	* OleDbCommandBuilder.cs: 2.0 attribute changes.

	* OleDbParameter.cs: 2.0 attribute changes.

2007-07-22  Nagappan A  <anagappan@novell.com>

	* OleDbDataReader.cs: Fixed compilation warning.

	* OleDbParameterCollection.cs: Fixed compilation warning.

	* OleDbTransaction.cs: Fixed compilation warning.

	* OleDbCommandBuilder.cs: Fixed compilation warning.

2007-07-02  Gert Driesen  <drieseng@users.sourceforge.net>

	* OleDbConnection.cs: Derive from DbConnection on 2.0 profile, and
	stubbed out where necessary. Fixed attributes for ConnectionString on
	2.0 profile. Marked several members as override on 2.0 profile.
	Do not hide StateChange event. Code formatting.
	* OleDbCommandBuilder.cs: On 2.0, derive from DbCommandBuilder. Do not
	include QuotePrefix and QuoteSuffix on 2.0. Stubbed out 2.0 members.
	* OleDbDataAdapter.cs: On 2.0, derive from DbDataAdapter. Stubbed out
	2.0 members. Do not not override Dispose on 2.0. Code formatting.
	* OleDbDataReader.cs: Derive from DbDataReader on 2.0 profile. Marked
	several members as override. Stubbed VisibleFieldCount. Added
	EditorBrowsable attribute on GetData. Added GetDbDataReader on 2.0.
	On 2.0, override GetEnumerator instead of explicit interface
	implementation.
	* OleDbErrorCollection.cs: Added 2.0 CopyTo overload.
	* OleDbInfoMessageEventHandler.cs: Do not mark class serializable on
	2.0 profile. Fixed API mismatch.
	* OleDbParameter.cs: On 2.0, derive from DbParameter. Added new 2.0
	ctor.  Override properties from base class and added
	SourceColumnNullMapping property on 2.0. Implemented ResetDbType and
	ResetOleDbType methods on 2.0.
	* OleDbParameterCollection.cs: Derive from DbParameterCollection on
	2.0 profile. Marked several members as override. Implemented AddRange,
	CopyTo, IndexOf, Insert, Remove and RemoveAt methods introduced in
	2.0 profile. Stubbed out GetParameter and SetParameter overloads.
	* OleDbPermission.cs: Added missing BrowsableAttribute on Provider.
	Code formatting.
	* OleDbPermissionAttribute.cs: Added BrowsableAttribute on Provdider
	(2.0 only).
	* OleDbRowUpdatedEventHandler.cs:  Do not mark class serializable on
	2.0 profile.
	* OleDbRowUpdatingEventArgs.cs: Removed unused command field. Added
	BaseCommand property on 2.0
	* OleDbRowUpdatingEventHandler.cs: Do not mark class serializable on
	2.0 profile. Fixed API mismatch.
	* OleDbTransaction.cs: On 2.0, derive from DbTransaction. Added
	DbConnection property and override Dispose (both 2.0 only). On 2.0,
	Override Commit and Rollback. Code formatting.

2007-07-01  Gert Driesen  <drieseng@users.sourceforge.net>

	* OleDbCommand.cs: 2.0 API fixes. Build fix.

2007-07-01  Gert Driesen  <drieseng@users.sourceforge.net>

	* OleDbCommand.cs: Code formatting.
	* OleDbDataReader.cs: Code formatting.
	* OleDbError.cs: Code formatting.
	* OleDbErrorCollection.cs: Code formatting.
	* OleDbException.cs: Code formatting.
	* OleDbInfoMessageEventArgs.cs: Code formatting.
	* OleDbParameter.cs: Code formatting.
	* OleDbParameterCollection.cs: Code formatting.

2007-06-21  Nagappan A  <anagappan@novell.com>

	* OleDbConnection.cs: Fixed compiler warning.

	* OleDbParameterCollection.cs (AddWithValue): Fixed compiler
	warning.

2007-02-20  Frederik Carlier <frederik.carlier@carlier-online.be>

	* OleDbParameterCollection.cs: Added AddWithValue method.

2007-01-08  Nagappan A  <anagappan@novell.com>

	* OleDbCommand.cs: Fixed compilation warning.

	* OleDbDataAdapter.cs: Fixed compilation warning.

2006-07-13  Senganal T  <tsenganal@novell.com>
	
	* OleDbCommand : 2.0 Api fixes

2006-05-31  Gert Driesen  <drieseng@users.sourceforge.net>

	* OleDbErrorCollection.cs: Removed explicit interface implementation
	of IEnumerable.GetEnumerator ().
	* OleDbParameterCollection.cs: Removed explicit interface 
	implementation members that are already implementation by public
	members.

2006-02-17  Chris Toshok  <toshok@ximian.com>

	* OleDbDataAdapter.cs, OleDbCommand.cs, OleDbParameter.cs,
	OleDbCommandBuilder.cs, OleDbConnection.cs: remove
	DataSysDescriptions for >= 2.0.

2006-02-17  Chris Toshok  <toshok@ximian.com>

	* OleDbCommand.cs: remove extra using System.Data.  fixes warning.

2005-10-04  Sebastien Pouliot  <sebastien@ximian.com>

	* OleDbDataReader.cs: Added a call to GC.SuppressFinalize in Dispose
	method (and avoids calling the destructor if the object was disposed).
	* OleDbTransaction.cs: Added a call to GC.SuppressFinalize in Dispose
	method (even if we throw an NotImplementedException afterward). This
	will remove warnings from gendarme.

2005-09-20  Alexandre Miguel Pedro Gomes  <alexmipego@gmail.com>
	
	* OleDbConnection.cs: Verify and throw an exception if the
	connection isn't valid.

2005-09-13  Sureshkumar T  <tsureshkumar@novell.com>

	* Moved TestGda.cs & TestOleDb.cs to ..\Test.
	
2005-08-08  Gert Driesen  <drieseng@users.sourceforge.net>

	* OleDbDataAdapter.cs: Fixed custom attributes to match MS.NET.
	* OleDbCommand.cs: Fixed custom attributes to match MS.NET.
	* OleDbParameter.cs: Fixed custom attribute to match MS.NET.
	* OleDbException.cs: Added ErrorTypeConverter, assigned to ErrorCode
	property to match MS.NET.
	* OleDbConnection.cs: Fixed custom attributes to match MS.NET.

2005-02-16  Lluis Sanchez Gual  <lluis@novell.com>

	* OleDbCommand.cs: Make it inherit from the correct base class in 2.0,
	and added stubs for some interface methods.

2004-09-14  Sebastien Pouliot  <sebastien@ximian.com>

	* OleDbPermission.cs: Added internal constructor accepting an OleDb
	PermissionAttribute parameter (using base class protected ctor).
	Re-added the Provider property (removed by error).
	* OleDbPermission.cs: Copy now use the new OleDbPermission
	constructor. Re-added the Provider property (removed by error).

2004-09-13  Sebastien Pouliot  <sebastien@ximian.com>

	* OleDbPermission.cs: Mostly completed (needs tests).
	* OleDbPermissionAttribute.cs: Completed.

2004-06-16  Gert Driesen <drieseng@users.sourceforge.net>

	* OleDbError.cs: fixed serialization compatibility with MS.NET
	* OleDbErrorCollection.cs: fixed serialization compatibility with
	MS.NET

2004-06-13  Gert Driesen <drieseng@users.sourceforge.net>

	* OleDbLiteral.cs: changed enum field values to match MS.NET
	* OleDbType.cs: changed enum field values to match MS.NET

2004-06-04  Gert Driesen <drieseng@users.sourceforge.net>

	* OleDbDataAdapter.cs: added stub for missing 
	Dispose override

2004-06-02  Gert Driesen <drieseng@users.sourceforge.net>

        * OleDbParameter.cs: added missing attributes
        * OleDbPermission.cs: added missing attributes
        * OleDbConnection.cs: added missing attributes
        * OleDbDataAdapter.cs: added missing attributes

2004-05-27  Atsushi Enomoto  <atsushi@ximian.com>

	* OleDbDataReader.cs : don't output debug message to Console.

2004-05-20  Gert Driesen (drieseng@users.sourceforge.net)

        *  OleDbPermissionAttribute.cs: change AllowMultiple and
        Inherited to match .NET

2004-05-14 Umadevi S (sumadevi@novell.com)
        * OleDbAdapter.cs -Implemented attributes, changed method signature for fill

2004-05-14 Umadevi S (sumadevi@novell.com)
        * OleDbCommand.cs - Completed implementing all the attributes

2004-05-14 Umadevi S (sumadevi@novell.com)
        * OleDbCommand.cs - Completed implementing all the attribute

2004-05-14 Umadevi S (sumadevi@novell.com)
        * OleDbConnection.cs - Completed implementing all the attributes
                           - Stubbed EnlistDistributedTransaction method

2004-05-14 Umadevi S (sumadevi@novell.com)
        * OleDbDataAdapter.cs - Completed implementing all the attributes
			   - Stubbed the Fill methods

2004-05-14 Umadevi S (sumadevi@novell.com)
        * OleDbParameter.cs - Completed implementing all the attributes             


2004-05-13 Umadevi S (sumadevi@novell.com)
	* OleDbDataReader.cs - Stubbed HasRows method
			- Implemented EditorBrowsableAttribute
	* OleDbParameterConverter.cs - Stubbed this class
	* OleDbParameter.cs - Added a few attributes.

2004-05-09  Gert Driesen (drieseng@users.sourceforge.net)
	* OleDbCommand.cs: removed setter for Parameters property to
	match MS.NET
	* OleDbCommandBuilder.cs: fixed GetUpdatetCommand typo
	* OleDbErrorCollection: added default internal ctor to match
	MS.NET
	* OleDbInfoMessageEventArgs.cs: added default internal ctor
	to match MS.NET
	* OleDbParameter.cs: added setter for IsNullable
	* OleDbParameterCollection: added default internal ctor to
	match MS.NET
	* OleDbPermission.cs: removed extra IsSubsetOf method

2004-04-06  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* OleDbPermissionAttribute.cs: missing bits from Gert's patch for
	CLS compliance.

2004-01-10  Atsushi Enomoto  <atsushi@ximian.com>

	* OleDbPermission.cs : NET_2_0 fix not to call obsolete .ctor.

2002-11-01  Daniel Morgan <danmorg@sc.rr.com>

	* OleDbDataReader.cs: implemented
	Dispose() and GetEnumerator()
	
